Subject: Question/Bug in sphere_pretest()

From: [email-masked] (Andre Yew)
Date: Fri, 31 Dec 1993 22:55:34 -0800 (PST)

Hi everyone,

	I'm not subscribed to the list yet (just sent out a request
for doing so), but I have a question.  Going over sphere_pretest()
in intmathx.c from devel5.zip, I found some funky code after the
in: label.

1.  On line 403, there is a "mov eax, edx", but on line 410, there's
a "mov eax, x".  Edx never gets used, so why save it?  Mov doesn't
affect any condition flags either ...

2.  The codeblocks in lines 410, 417, 424 are all the same!  I assume
from the comment that this is suppose to compute the approximate
distance, but it just does 3*abs(x - sx).  BTW, that's a really neat
way to get abs :).

	Thanks for any help, and happy new year!

--Andre